Create Issue
curl --request POST \
--url https://api.getmaito.com/v1/newsletter/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "Launch notes",
"previewText": "What changed this week",
"contentHtml": "<p>Hello readers.</p>"
}
'import requests
url = "https://api.getmaito.com/v1/newsletter/issues"
payload = {
"subject": "Launch notes",
"previewText": "What changed this week",
"contentHtml": "<p>Hello readers.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: 'Launch notes',
previewText: 'What changed this week',
contentHtml: '<p>Hello readers.</p>'
})
};
fetch('https://api.getmaito.com/v1/newsletter/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"slug": "<string>",
"previewText": "<string>",
"thumbnailUrl": "<string>",
"contentHtml": "<string>",
"contentJson": "<unknown>",
"scheduledFor": "2023-11-07T05:31:56Z",
"audience": "<unknown>",
"isPublic": true,
"category": {
"id": "<string>",
"workspaceId": "<string>",
"accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"categories": [
{
"id": "<string>",
"workspaceId": "<string>",
"accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"stats": {
"newSubscriberCount": 1,
"subscriberCountTargeted": 1,
"sentCount": 1,
"deliveredCount": 1,
"openedCount": 1,
"clickedCount": 1,
"bouncedCount": 1,
"complainedCount": 1,
"failedCount": 1
},
"sentAt": "<string>"
}
}{
"ok": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required."
}
}{
"ok": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid document query.",
"details": []
}
}Newsletter Issues
Create Issue
Create a draft newsletter issue.
POST
/
newsletter
/
issues
Create Issue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

